<%@ Page language="c#" Codebehind="topicadmin.aspx.cs" AutoEventWireup="false" EnableViewState="false" Inherits="Discuz.ForumPage.topicadmin" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Discuz.Common" %>
<%@ Import namespace="Discuz.Forum" %>
<%@ Import namespace="Discuz.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by Discuz!NT Template Engine at 2007-11-15 11:15:23.
		本页面代码由Discuz!NT模板引擎生成于 2007-11-15 11:15:23. 
	*/

	base.OnInit(e);


	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + " " + config.Seotitle.ToString().Trim() + " - " + config.Forumtitle.ToString().Trim() + " - Powered by Discuz!NT</title>\r\n");
	templateBuilder.Append("<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<!-- 调用样式表 -->\r\n");
	templateBuilder.Append("<link rel=\"stylesheet\" href=\"templates/" + templatepath.ToString() + "/dnt.css\" type=\"text/css\" media=\"all\"  />\r\n");
	templateBuilder.Append("" + link.ToString() + "\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/report.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/menu.js\"></" + "script>\r\n");
	templateBuilder.Append("" + script.ToString() + "\r\n");
	templateBuilder.Append("</head>\r\n");


	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<div id=\"append_parent\"></div>\r\n");
	templateBuilder.Append("<div id=\"container\">\r\n");
	templateBuilder.Append("<!--header start-->\r\n");
	templateBuilder.Append("<div id=\"header\">\r\n");
	templateBuilder.Append("	<h2><a href=\"" + config.Forumurl.ToString().Trim() + "\" title=\"Discuz!NT|BBS|论坛 - Powered by Discuz!NT\"><img src=\"templates/" + templatepath.ToString() + "/images/logo.gif\" alt=\"Discuz! Board NT|BBS|论坛\"/></a></h2>\r\n");

	if (pagename=="forumindex.aspx")
	{

	templateBuilder.Append("	<ul id=\"iconmenu\">\r\n");

	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Forumurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/Headforum.gif\" alt=\"论坛\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Forumurl.ToString().Trim() + "\">论坛</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<li><img src=\"templates/" + templatepath.ToString() + "/images/headline.jpg\"/></li>\r\n");
	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Spaceurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/headspace.gif\"  alt=\"个人空间\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<li><img src=\"templates/" + templatepath.ToString() + "/images/headline.jpg\"/></li>\r\n");
	templateBuilder.Append("		<li>\r\n");
	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/headphoto.gif\" alt=\"相册\"/></a>\r\n");
	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a></h3>\r\n");
	templateBuilder.Append("		</li>\r\n");

	}	//end if

	templateBuilder.Append("	</ul>\r\n");

	}	//end if

	templateBuilder.Append("	<p id=\"topmenu\">\r\n");

	if (userid==-1)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "login.aspx\" class=\"reg\">登录</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "register.aspx\" class=\"reg\">注册</a>\r\n");

	}
	else
	{

	templateBuilder.Append("			欢迎: " + username.ToString() + "&nbsp;\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "logout.aspx?userkey=" + userkey.ToString() + "\" class=\"reg\">退出</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "usercp.aspx\" class=\"reg\">用户中心</a>\r\n");

	if (useradminid==1)
	{

	templateBuilder.Append("				<a href=\"" + forumurl.ToString() + "admin/index.aspx\" target=\"_blank\"  class=\"reg\">系统设置</a>\r\n");

	}	//end if


	}	//end if


	if (pagename!="forumindex.aspx")
	{


	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Forumurl.ToString().Trim() + "\">论坛</a>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a>\r\n");

	}	//end if


	}	//end if


	if (usergroupinfo.Allowsearch>0)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "search.aspx\">搜索</a>\r\n");

	}	//end if

	templateBuilder.Append("		<a href=\"" + forumurl.ToString() + "help.aspx\" target=\"_blank\">帮助</a>	\r\n");
	templateBuilder.Append("	</p>\r\n");

	if (headerad!="")
	{

	templateBuilder.Append("		<div id=\"ad\">" + headerad.ToString() + "</div>\r\n");

	}	//end if

	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"wraper\">\r\n");
	templateBuilder.Append("	<div id=\"menubar\">\r\n");
	templateBuilder.Append("		<div class=\"selectmode\">\r\n");
	templateBuilder.Append("		<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("			if(top == self) {\r\n");
	templateBuilder.Append("				document.write('<a href=\"frame.aspx?f=1\" target=\"_top\">分栏模式<\\/a>');\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("		</" + "script>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		<ul id=\"navigation\">\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "usercpinbox.aspx\">短消息</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "showuser.aspx\">会员</a></li>\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li id=\"my\" onMouseOver=\"showMenu(this.id);\" onMouseOut=\"showMenu(this.id);\"><a href=\"###\" class=\"mycontent\">我的</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "showtemplate.aspx\">界面</a></li>\r\n");
	templateBuilder.Append("			<li><a href=\"" + forumurl.ToString() + "archiver/index.aspx\">简洁版本</a></li>\r\n");
	templateBuilder.Append("			<li class=\"noground\"><a href=\"" + forumurl.ToString() + "onlineuser.aspx\">在线</a></li>\r\n");
	templateBuilder.Append("		</ul>\r\n");
	templateBuilder.Append("	</div>\r\n");


	templateBuilder.Append("<div id=\"foruminfo\">\r\n");
	templateBuilder.Append("	<div class=\"userinfo\">\r\n");
	templateBuilder.Append("		<h2><a href=\"" + config.Forumurl.ToString().Trim() + "\">" + config.Forumtitle.ToString().Trim() + "</a> <span> " + forumnav.ToString() + "</span><strong>" + operationtitle.ToString() + "</strong></h2>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	if (DNTRequest.GetString("operation")=="")
	{


	if (page_err==0)
	{

	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("<form id=\"moderate\" name=\"moderate\" method=\"post\" action=\"topicadmin.aspx?action=moderate&operation=" + operation.ToString() + "\">\r\n");
	templateBuilder.Append("		<input type=\"hidden\" name=\"topicid\" value=\"" + topiclist.ToString() + "\" /> <input type=\"hidden\" name=\"forumid\" value=\"" + forumid.ToString() + "\" />\r\n");

	if (config.Aspxrewrite==1)
	{

	templateBuilder.Append("		<input type=\"hidden\" name=\"referer\" value=\"showforum-" + forumid.ToString() + "" + config.Extname.ToString().Trim() + "\" />\r\n");

	}
	else
	{

	templateBuilder.Append("		<input type=\"hidden\" name=\"referer\" value=\"showforum.aspx?forumid=" + forumid.ToString() + "\">\r\n");

	}	//end if

	templateBuilder.Append("			<div class=\"titlebar\">\r\n");
	templateBuilder.Append("				<h3>" + operationtitle.ToString() + "</h3>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("	<div class=\"forumform\">\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">用户名:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\">&nbsp;" + username.ToString() + "&nbsp;<a href=\"logout.aspx?userkey=" + userkey.ToString() + "\">退出登录</a></td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	if (operation=="highlight")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">字体样式:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\"><input type=\"checkbox\" name=\"highlight_style_b\" value=\"B\" /> <strong>粗体</strong> <input type=\"checkbox\" name=\"highlight_style_i\" value=\"I\" /> <em>斜体</em><input type=\"checkbox\" name=\"highlight_style_u\" value=\"U\" /> <u>下划线</u>\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("						<th class=\"formlabel\">字体颜色:</th>\r\n");
	templateBuilder.Append("						<td class=\"formbody\"><!--colorpicker层显示开始-->						\r\n");
	templateBuilder.Append("						<script language=\"javascript\" src=\"templates/" + templatepath.ToString() + "/colorpicker.js\"></" + "script>\r\n");
	templateBuilder.Append("						<input type=\"text\" value=\"\" name=\"highlight_color\" ID=\"highlight_color\"  size=\"7\" class=\"colorblue\" onfocus=\"this.className='colorfocus';\" onblur=\"this.className='colorblue';\" />\r\n");
	templateBuilder.Append("						<select name=\"highlight_colorselect\" ID=\"highlight_colorselect\" onChange=\"selectoptioncolor(this)\" style=\"margin-bottom:2px;\">\r\n");
	templateBuilder.Append("						    <option value=\"\">默认</option>  \r\n");
	templateBuilder.Append("							<option style=\"background:#FF0000\" value=\"#FF0000\"></option>  \r\n");
	templateBuilder.Append("							<option style=\"background:#FFA500\" value=\"#FFA500\"></option> \r\n");
	templateBuilder.Append("							<option style=\"background:#FFFF00\" value=\"#FFFF00\"></option> \r\n");
	templateBuilder.Append("							<option style=\"background:#008000\" value=\"#008000\"></option> \r\n");
	templateBuilder.Append("							<option style=\"background:#00FFFF\" value=\"#00FFFF\"></option> \r\n");
	templateBuilder.Append("							<option style=\"background:#0000FF\" value=\"#0000FF\"></option> \r\n");
	templateBuilder.Append("							<option style=\"background:#800080\" value=\"#800080\"></option> \r\n");
	templateBuilder.Append("							<option style=\"background:#808080\" value=\"#808080\"></option>\r\n");
	templateBuilder.Append("						</select>\r\n");
	templateBuilder.Append("						<img class=\"img\" title=\"选择颜色\" src=\"templates/" + templatepath.ToString() + "/images/colorpicker.gif\" id=s_bgcolor onclick=\"IsShowColorPanel(this);\" style=\"cursor:hand; border:0px;\" />\r\n");
	templateBuilder.Append("						</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="displayorder")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">级别:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");

	if (displayorder>0)
	{

	templateBuilder.Append("				<input type=\"radio\" value=\"0\" name=\"level\" />解除置顶\r\n");

	}	//end if

	templateBuilder.Append("				<input name=\"level\" type=\"radio\" value=\"1\"\r\n");

	if (displayorder<=1)
	{

	templateBuilder.Append("				 checked=\"checked\"\r\n");

	}	//end if

	templateBuilder.Append("				 /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /> <input type=\"radio\" value=\"2\" name=\"level\"\r\n");

	if (displayorder==2)
	{

	templateBuilder.Append("				 checked=\"checked\"\r\n");

	}	//end if

	templateBuilder.Append("				 /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" />\r\n");
	templateBuilder.Append("				<input type=\"radio\" value=\"3\" name=\"level\"\r\n");

	if (displayorder==3)
	{

	templateBuilder.Append("				 checked=\"checked\"\r\n");

	}	//end if

	templateBuilder.Append("				 /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="digest")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">级别:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");

	if (digest>0)
	{

	templateBuilder.Append("				<input type=\"radio\" value=\"0\" name=\"level\" />解除精华\r\n");

	}	//end if

	templateBuilder.Append("				<input name=\"level\" type=\"radio\" value=\"1\"\r\n");

	if (digest<=1)
	{

	templateBuilder.Append("				 checked=\"checked\"\r\n");

	}	//end if

	templateBuilder.Append("				 /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /> <input type=\"radio\" value=\"2\" name=\"level\"\r\n");

	if (digest==2)
	{

	templateBuilder.Append("				 checked=\"checked\"\r\n");

	}	//end if

	templateBuilder.Append("				 /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" />\r\n");
	templateBuilder.Append("				<input type=\"radio\" value=\"3\" name=\"level\"\r\n");

	if (digest==3)
	{

	templateBuilder.Append("				 checked=\"checked\"\r\n");

	}	//end if

	templateBuilder.Append("				 /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" /><img src=\"templates/" + templatepath.ToString() + "/images/star_level1.gif\" width=\"16\" height=\"16\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="move")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">目标版块:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<select name=\"moveto\" class=\"colorblue\">\r\n");
	templateBuilder.Append("						" + forumlist.ToString() + "\r\n");
	templateBuilder.Append("					</select>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">移动方式:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input type=\"radio\" checked=\"checked\" value=\"normal\" name=\"type\" />\r\n");
	templateBuilder.Append("				移动主题&nbsp;&nbsp;<input type=\"radio\" value=\"redirect\" name=\"type\" /> 移动主题并在原来的论坛中保留转向\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="close")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">操作：</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input type=\"radio\" checked=\"checked\" value=\"0\" name=\"close\" />\r\n");
	templateBuilder.Append("				打开主题&nbsp;&nbsp; <input type=\"radio\" value=\"1\" name=\"close\" /> 关闭主题\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="copy")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">目标论坛/分类:</div>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<select name=\"copyto\">\r\n");
	templateBuilder.Append("						" + forumlist.ToString() + "\r\n");
	templateBuilder.Append("					</select>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="split")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">新主题的标题:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<input type=\"text\" id=\"\" name=\"subject\" size=\"45\" value=\"\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="merge")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">主题tid:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<INPUT size=\"10\" name=\"othertid\" ID=\"othertid\" />&nbsp;\r\n");

	if (config.Aspxrewrite==1)
	{

	templateBuilder.Append("					<SPAN class=\"smalltxt\">即将与这个主题合并的主题id,如showtopic-22.aspx，tid 为 22</SPAN>\r\n");

	}
	else
	{

	templateBuilder.Append("					<SPAN class=\"smalltxt\">即将与这个主题合并的主题id,如showtopic.aspx?topicid=22，tid 为 22</SPAN>\r\n");

	}	//end if

	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="type")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">目标分类></th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select name=\"typeid\" ID=\"typeid\">" + topictypeselectoptions.ToString() + "</select>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="rate")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">作者:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">" + poster.ToString() + "<INPUT type=\"hidden\" size=\"10\" name=\"postid\" ID=\"postid\" value=\"" + postidlist.ToString() + "\" /></td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">标题:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">" + title.ToString() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">评分:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");

	int score__loop__id=0;
	foreach(DataRow score in scorelist.Rows)
	{
		score__loop__id++;

	templateBuilder.Append("						<div style=\"padding-left:3px;margin-top:3px;\">\r\n");
	templateBuilder.Append("						<select name=\"select\" onchange=\"this.form.score" + score["ScoreCode"].ToString().Trim() + ".value=this.value\">\r\n");
	templateBuilder.Append("						  <option value=\"0\" selected=\"selected\">" + score["ScoreName"].ToString().Trim() + "</option>\r\n");
	templateBuilder.Append("						  <option value=\"0\">----</option>\r\n");
	templateBuilder.Append("						  " + score["options"].ToString().Trim() + "\r\n");
	templateBuilder.Append("						</select>\r\n");
	templateBuilder.Append("						<input size=\"3\" value=\"0\" name=\"score\" id=\"score" + score["ScoreCode"].ToString().Trim() + "\" />\r\n");
	templateBuilder.Append("						<input type=\"hidden\" value=\"" + score["ScoreCode"].ToString().Trim() + "\" name=\"extcredits\" /> (今日还能评分 " + score["MaxInDay"].ToString().Trim() + " )\r\n");
	templateBuilder.Append("						</div>\r\n");

	}	//end loop

	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="cancelrate")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">作者:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">" + poster.ToString() + "<INPUT type=\"hidden\" size=\"10\" name=\"postid\" ID=\"Hidden1\" value=\"" + postidlist.ToString() + "\" /></td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">标题:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">" + title.ToString() + "</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="identify")
	{

	templateBuilder.Append("		" + identifyjsarray.ToString() + "\r\n");
	templateBuilder.Append("		<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("			function changeindentify(imgid)\r\n");
	templateBuilder.Append("			{\r\n");
	templateBuilder.Append("				if (imgid != \"0\" && imgid != \"-1\")\r\n");
	templateBuilder.Append("				{\r\n");
	templateBuilder.Append("					$(\"identify_preview\").src = \"images/identify/\" + topicidentify[imgid];\r\n");
	templateBuilder.Append("					$(\"identify_preview\").style.display = \"\";\r\n");
	templateBuilder.Append("				}\r\n");
	templateBuilder.Append("				else\r\n");
	templateBuilder.Append("				{\r\n");
	templateBuilder.Append("					$(\"identify_preview\").style.display = \"none\";\r\n");
	templateBuilder.Append("				}\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("		</" + "script>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">鉴定:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("						<select name=\"selectidentify\" id=\"selectidentify\" onchange=\"changeindentify(this.value)\">\r\n");
	templateBuilder.Append("							<option value=\"0\" selected=\"selected\">请选择</option>\r\n");
	templateBuilder.Append("							<option value=\"-1\">* 取消鉴定 *</option>\r\n");

	int identify__loop__id=0;
	foreach(TopicIdentify identify in identifylist)
	{
		identify__loop__id++;

	templateBuilder.Append("							<option value=\"" + identify.Identifyid.ToString().Trim() + "\">" + identify.Name.ToString().Trim() + "</option>						  \r\n");

	}	//end loop

	templateBuilder.Append("						</select>		\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");
	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">图例预览:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("					<img id=\"identify_preview\" style=\"display: none;\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="delposts")
	{

	templateBuilder.Append("<input type=\"hidden\" size=\"10\" name=\"postid\" ID=\"postid\" value=\"" + postidlist.ToString() + "\" />\r\n");

	}	//end if


	if (operation!="identify")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">操作原因:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<select id=\"selectreason\" name=\"selectreason\" size=\"6\" style=\"width: 8em;height:8em; \" onchange=\"this.form.reason.value=this.value\" class=\"colorblue\">\r\n");
	templateBuilder.Append("                  <option value=\"\">自定义</option>\r\n");
	templateBuilder.Append("                  <option value=\"\">--------</option>\r\n");
	templateBuilder.Append("                  <option value=\"广告/SPAM\">广告</option>\r\n");
	templateBuilder.Append("                  <option value=\"恶意灌水\">恶意灌水</option>\r\n");
	templateBuilder.Append("                  <option value=\"违规内容\">违规内容</option>\r\n");
	templateBuilder.Append("                  <option value=\"文不对题\">文不对题</option>\r\n");
	templateBuilder.Append("                  <option value=\"重复发帖\">重复发帖</option>\r\n");
	templateBuilder.Append("                  <option value=\"发错版块\">发错版块</option>\r\n");
	templateBuilder.Append("                  <option value=\"屡教不改\">屡教不改</option>\r\n");
	templateBuilder.Append("                  <option value=\"已经过期\">已经过期</option>\r\n");
	templateBuilder.Append("                  <option value=\"\">--------</option>\r\n");
	templateBuilder.Append("                  <option value=\"我很赞同\">我很赞同</option>\r\n");
	templateBuilder.Append("                  <option value=\"精品文章\">精品文章</option>\r\n");
	templateBuilder.Append("                  <option value=\"原创内容\">原创内容</option>\r\n");
	templateBuilder.Append("				  <option value=\"鼓励分享\">鼓励分享</option>\r\n");
	templateBuilder.Append("                </select>\r\n");
	templateBuilder.Append("				<textarea name=\"reason\" style=\"height: 8em; width:20em; margin-bottom:-2px;\" class=\"colorblue\" onkeydown=\"if(this.value.length>200){ alert('操作原因不能多于200个字符');return false; }\"></textarea>\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (operation=="split")
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">选择内容:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");

	int post__loop__id=0;
	foreach(DataRow post in postlist.Rows)
	{
		post__loop__id++;

	templateBuilder.Append("<input name=\"postid\" type=\"checkbox\" value=\"" + post["pid"].ToString().Trim() + "\" /><strong>" + post["poster"].ToString().Trim() + "</strong><br />\r\n");
	templateBuilder.Append("						" + post["message"].ToString().Trim() + "<br />\r\n");

	}	//end loop

	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if


	if (donext==1)
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<th class=\"formlabel\">后续:</th>\r\n");
	templateBuilder.Append("				<td class=\"formbody\">\r\n");
	templateBuilder.Append("				<input name=\"next\" type=\"radio\" checked=\"checked\" value=\"\" />无\r\n");

	if (operation!="highlight")
	{

	templateBuilder.Append("				<input type=\"radio\" value=\"highlight\" name=\"next\" />高亮显示\r\n");

	}	//end if


	if (operation!="displayorder")
	{

	templateBuilder.Append("				<input type=\"radio\" value=\"displayorder\" name=\"next\" />置顶/解除置顶\r\n");

	}	//end if


	if (operation!="digest")
	{

	templateBuilder.Append("				<input type=\"radio\" value=\"digest\" name=\"next\" />加入/解除精华\r\n");

	}	//end if

	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	}	//end if

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("				<td colspan=\"2\" class=\"formarea\">\r\n");
	templateBuilder.Append("							<input type=\"submit\" value=\"提  交\" name=\"modsubmit\" class=\"sbutton\" />\r\n");
	templateBuilder.Append("				</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("		</tbody>\r\n");

	if (operation=="cancelrate")
	{


	if (ratelogcount>0)
	{

	templateBuilder.Append("		<tbody>\r\n");
	templateBuilder.Append("			<tr class=\"list\">\r\n");
	templateBuilder.Append("			<td colspan=\"6\">\r\n");
	templateBuilder.Append("				<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");
	templateBuilder.Append("				<thead>\r\n");
	templateBuilder.Append("					<tr>\r\n");
	templateBuilder.Append("						<td colspan=\"6\" align=\"left\">评分日志</td>\r\n");
	templateBuilder.Append("					</tr>\r\n");
	templateBuilder.Append("				</thead>\r\n");
	templateBuilder.Append("				<tr>\r\n");
	templateBuilder.Append("					<td><input name=\"chkall\" type=\"checkbox\"  onclick=\"checkall(this.form, 'ratelogid')\" />删除</td>\r\n");
	templateBuilder.Append("					<td>用户名</td>\r\n");
	templateBuilder.Append("					<td>时间</td>\r\n");
	templateBuilder.Append("					<td>评分单位</td>\r\n");
	templateBuilder.Append("					<td>评分分值</td>\r\n");
	templateBuilder.Append("					<td>理由</td>\r\n");
	templateBuilder.Append("				</tr>\r\n");

	int rateloginfo__loop__id=0;
	foreach(DataRow rateloginfo in ratelog.Rows)
	{
		rateloginfo__loop__id++;

	templateBuilder.Append("				<tr>\r\n");
	templateBuilder.Append("					<td><input name=\"ratelogid\" type=\"checkbox\"  value=\"" + rateloginfo["id"].ToString().Trim() + "\" /></td>\r\n");
	templateBuilder.Append("					<td>" + rateloginfo["username"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("					<td>" + rateloginfo["postdatetime"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("					<td>" + rateloginfo["extcreditname"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("					<td>" + rateloginfo["score"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("					<td>" + rateloginfo["reason"].ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("				</tr>\r\n");

	}	//end loop

	templateBuilder.Append("				</table>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("			</tr>\r\n");
	templateBuilder.Append("			</tbody>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</form>\r\n");
	templateBuilder.Append("</div>\r\n");

	if (operation=="highlight")
	{

	templateBuilder.Append("		<div  id=\"ColorPicker\" title=\"ColorPicker\" style=\"display:none;cursor:crosshair;border: black 1px solid;position: absolute; z-index: 10;background-color: aliceblue; width:250px;background: #FFFFFF;padding: 4px; margin-left:150px;\" onmouseover=\"ShowColorPanel();\">\r\n");
	templateBuilder.Append("						<table border=\"0\" cellPadding=\"0\" cellSpacing=\"10\" onmouseover=\"ShowColorPanel();\">\r\n");
	templateBuilder.Append("						<tr>\r\n");
	templateBuilder.Append("						<td>\r\n");
	templateBuilder.Append("						<table border=\"0\" cellPadding=\"0\" cellSpacing=\"0\" id=\"ColorTable\" style=\"cursor:crosshair;\"  onmouseover=\"ShowColorPanel();\">\r\n");
	templateBuilder.Append("						<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("						function wc(r, g, b, n){\r\n");
	templateBuilder.Append("							r = ((r * 16 + r) * 3 * (15 - n) + 0x80 * n) / 15;\r\n");
	templateBuilder.Append("							g = ((g * 16 + g) * 3 * (15 - n) + 0x80 * n) / 15;\r\n");
	templateBuilder.Append("							b = ((b * 16 + b) * 3 * (15 - n) + 0x80 * n) / 15;\r\n");
	templateBuilder.Append("							document.write('<td BGCOLOR=#' + ToHex(r) + ToHex(g) + ToHex(b) + ' title=\"#' + ToHex(r) + ToHex(g) + ToHex(b) + '\" height=8 width=8 onmouseover=\"ColorTableMouseOver(this)\" onmousedown=\"ColorTableMouseDown(this)\"  onmouseout=\"ColorTableMouseOut(this)\" ></TD>');\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						var cnum = new Array(1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0);\r\n");
	templateBuilder.Append("						for(i = 0; i < 16; i ++){\r\n");
	templateBuilder.Append("							document.write('<TR>');\r\n");
	templateBuilder.Append("							for(j = 0; j < 30; j ++){\r\n");
	templateBuilder.Append("								n1 = j % 5;\r\n");
	templateBuilder.Append("								n2 = Math.floor(j / 5) * 3;\r\n");
	templateBuilder.Append("								n3 = n2 + 3;\r\n");
	templateBuilder.Append("								wc((cnum[n3] * n1 + cnum[n2] * (5 - n1)),\r\n");
	templateBuilder.Append("								(cnum[n3 + 1] * n1 + cnum[n2 + 1] * (5 - n1)),\r\n");
	templateBuilder.Append("								(cnum[n3 + 2] * n1 + cnum[n2 + 2] * (5 - n1)), i);\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("							document.writeln('</TR>');\r\n");
	templateBuilder.Append("						}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						</table></td>\r\n");
	templateBuilder.Append("						<td>\r\n");
	templateBuilder.Append("						<table border=\"0\" cellPadding=\"0\" cellSpacing=\"0\" id=\"GrayTable\" style=\"CURSOR: hand;cursor:crosshair;\"  onmouseover=\"ShowColorPanel();\">\r\n");
	templateBuilder.Append("						<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("						for(i = 255; i >= 0; i -= 8.5)\r\n");
	templateBuilder.Append("						document.write('<tr BGCOLOR=#' + ToHex(i) + ToHex(i) + ToHex(i) + '><td TITLE=' + Math.floor(i * 16 / 17) + ' height=4 width=20 onmouseover=\"GrayTableMouseOver(this)\" onmousedown=\"GrayTableMouseDown(this)\"  onmouseout=\"GrayTableMouseOut(this)\" ></td></tr>');\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						</table></td></tr></table>\r\n");
	templateBuilder.Append("						<table border=\"0\" cellPadding=\"0\" cellSpacing=\"10\" onmouseover=\"ShowColorPanel();\">\r\n");
	templateBuilder.Append("						<tr>\r\n");
	templateBuilder.Append("						<td rowSpan=\"2\">选中色彩\r\n");
	templateBuilder.Append("						<table border=\"1\" cellPadding=\"0\" cellSpacing=\"0\" height=\"30\" id=\"ShowColor\" width=\"40\" bgcolor=\"\">\r\n");
	templateBuilder.Append("						<tr>\r\n");
	templateBuilder.Append("						<td></td></tr></table></td>\r\n");
	templateBuilder.Append("						<td rowSpan=2>基色: <span id=\"RGB\"></span><br />亮度: <span id=\"GRAY\">120</span><br />代码: <input id=\"SelColor\" size=\"7\" value=\"\" border=\"0\" name=\"SelColor\" /></TD>\r\n");
	templateBuilder.Append("						<td><input type=\"button\" onclick=\"javascript:ColorPickerOK();\" value=\"确定\" ID=\"ok\" class=\"lightbutton\" /></td></tr>\r\n");
	templateBuilder.Append("						<tr>\r\n");
	templateBuilder.Append("						<td><input type=\"button\" onclick=\"javascript:document.getElementById('highlight_color').value='';document.getElementById('s_bgcolor').style.background='#FFFFFF';HideColorPanel();\" value=\"取消\" ID=\"Button2\" NAME=\"Button2\" class=\"lightbutton\"  /></td></tr></table>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("						<!--colorpicker层显示结束-->\r\n");

	}	//end if


	}
	else
	{


	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>出现了" + page_err.ToString() + "个错误</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumerror\">\r\n");
	templateBuilder.Append("				" + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("				<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<script language=\"javascript\">\r\n");
	templateBuilder.Append("							if(" + msgbox_showbacklink.ToString() + ")\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a> &nbsp; &nbsp;|&nbsp; &nbsp  \");\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						<a href=\"forumindex.aspx\">论坛首页</a>\r\n");

	if (usergroupid==7)
	{

	templateBuilder.Append("						 &nbsp; &nbsp|&nbsp; &nbsp; <a href=\"register.aspx\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("				</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if


	}
	else
	{


	if (page_err==0)
	{


	templateBuilder.Append("<div class=\"forumtrue\">\r\n");
	templateBuilder.Append("			<div class=\"navforumtrue\">" + msgbox_text.ToString() + "\r\n");

	if (msgbox_url!="")
	{

	templateBuilder.Append("					<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<a href=\"" + msgbox_url.ToString() + "\">如果浏览器没有转向, 请点击这里.</a>\r\n");
	templateBuilder.Append("					</p>\r\n");

	}	//end if

	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}
	else
	{


	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>出现了" + page_err.ToString() + "个错误</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumerror\">\r\n");
	templateBuilder.Append("				" + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("				<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<script language=\"javascript\">\r\n");
	templateBuilder.Append("							if(" + msgbox_showbacklink.ToString() + ")\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a> &nbsp; &nbsp;|&nbsp; &nbsp  \");\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						<a href=\"forumindex.aspx\">论坛首页</a>\r\n");

	if (usergroupid==7)
	{

	templateBuilder.Append("						 &nbsp; &nbsp|&nbsp; &nbsp; <a href=\"register.aspx\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("				</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if


	}	//end if

	templateBuilder.Append("</div>\r\n");


	if (footerad!="")
	{

	templateBuilder.Append("<!--底部广告显示-->\r\n");
	templateBuilder.Append("<div id=\"bottomad\">" + footerad.ToString() + "</div>\r\n");
	templateBuilder.Append("<!--底部广告结束-->\r\n");

	}	//end if

	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("	 	<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a>&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");

	if (config.Sitemapstatus==1)
	{

	templateBuilder.Append("&nbsp;<a href=\"tools/sitemap.aspx\" target=\"_blank\" title=\"百度论坛收录协议\">Sitemap</a>\r\n");

	}	//end if

	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115 \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("				(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("				&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "</em>\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("				" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" onclick=\"window.scrollTo(0,0)\" /></span>\r\n");

	if (config.Stylejump==1)
	{


	if (userid!=-1 || config.Guestcachepagetimeout<=0)
	{

	templateBuilder.Append("		<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("			<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("			" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("		</select>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"my_menu\" class=\"ntdropmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("		<a href=\"mytopics.aspx\">我的主题</a>\r\n");
	templateBuilder.Append("		<a href=\"myposts.aspx\">我的帖子</a>\r\n");
	templateBuilder.Append("		<a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\">我的相册</a>\r\n");

	}	//end if

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"javascript/mymenu.js\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");



	templateBuilder.Append("<div id=\"quicksearch_menu\" class=\"searchmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='0';document.getElementById('quicksearch').innerHTML='帖子标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">帖子标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='2';document.getElementById('quicksearch').innerHTML='空间日志';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">空间日志</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='3';document.getElementById('quicksearch').innerHTML='相册标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">相册标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='8';document.getElementById('quicksearch').innerHTML='作&nbsp;&nbsp;者';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">作&nbsp;&nbsp;者</div>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");



	Response.Write(templateBuilder.ToString());
}
</script>
